syms x y b c d V k m n B C D
vars = [x, y];
eqs = [x/(1+x)-b*x*y/(k+x), c*x*y/(x*y+1) - d*y];
%eqs = [(x/(x+1)-B*x*y),(C*x*y/(x*y+1)-D*y)]
[xc, yc] = solve(eqs(1), eqs(2));
xc=simplify(xc);
yc=simplify(yc);
[xc, yc]
A = jacobian(eqs, vars);
disp('First Matrix of linearized system:')
simplify(subs(A, vars, [xc(1), yc(1)]))
% disp('eigenvalues:')
% eig(ans)
J1=ans;
disp('trace:')
simplify(trace(J1))
disp('determinant:')
simplify(det(J1))
disp('Second Matrix of linearized system:')
simplify(subs(A, vars, [xc(2), yc(2)]))
% disp('eigenvalues:')
% eig(ans)
J2=ans;
disp('trace:')
simplify(trace(J2))
disp('determinant:')
simplify(det(J2))
disp('Third Matrix of linearized system:')
subs(A, vars, [xc(3), yc(3)])
% disp('eigenvalues:')
% eig(ans)
disp('trace:')
trace(ans)
disp('determinant:')
det(ans)